package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF3E3RWSGarantedAmount {

    private Map<String, Object> params;
    
    public MWF3E3RWSGarantedAmount(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsLoanfrom() {
        return (Double) params.get("RS_LOANFROM");
    }

    public Double rsLoanto() {
        return (Double) params.get("RS_LOANTO");
    }

    public Double rsInterestrate() {
        return (Double) params.get("RS_INTERESTRATE");
    }

    public Long rsTermfrom() {
        return (Long) params.get("RS_TERMFROM");
    }

    public Long rsTermto() {
        return (Long) params.get("RS_TERMTO");
    } 

}
